Skip to main content
GET
/
vehicles
/
{id}
Get a vehicle by id
curl --request GET \
  --url https://app.unitedlogistics.com.do/api/v1/vehicles/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.unitedlogistics.com.do/api/v1/vehicles/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.unitedlogistics.com.do/api/v1/vehicles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": 123,
    "provider": "karma",
    "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fleet_id": 123,
    "device_id": 123,
    "time_zone": "America/Santo_Domingo",
    "number": "<string>",
    "license_plate": "<string>",
    "title": "<string>",
    "type": "<string>",
    "sub_type": "<string>",
    "year": "<string>",
    "color": "<string>",
    "sim_imsi": "<string>",
    "sim_phone": "<string>",
    "fetch_timestamp": "<string>",
    "icon_url": "<string>",
    "maintenance_status": true,
    "vehicle_type": "<string>",
    "deactivated_at": "<string>",
    "deactivation_reason": "<string>",
    "provider_metadata": "<unknown>"
  }
}
{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}
{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}
{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}

Authorizations

Authorization
string
header
required

Authorization: Bearer ulk__. Cree la clave en Configuración → API.

Path Parameters

id
string<uuid>
required

Response

OK

data
object
required